Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicButtonUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ButtonUI
                  |
                  +--javax.swing.plaf.basic.BasicButtonUI

Direct Known Subclasses:
  BasicToggleButtonUI, MetalButtonUI

public class BasicButtonUI
extends ButtonUI

BasicButton implementation

Field Summary
`protected int` | `defaultTextIconGap`
`protected int` | `defaultTextShiftOffset`

Constructor Summary
`BasicButtonUI()`

Method Summary
`protected void` | `clearTextShiftOffset()`
`protected BasicButtonListener` | `createButtonListener(AbstractButton b)`
`static ComponentUI` | `createUI(JComponent c)`
`int` | `getDefaultTextIconGap(AbstractButton b)`
`java.awt.Dimension` | `getMaximumSize(JComponent c)`
`java.awt.Dimension` | `getMinimumSize(JComponent c)`
`java.awt.Dimension` | `getPreferredSize(JComponent c)`
`protected java.lang.String` | `getPropertyPrefix()`
`protected int` | `getTextShiftOffset()`
`protected void` | `installDefaults(AbstractButton b)`
`protected void` | `installKeyboardActions(AbstractButton b)`
`protected void` | `installListeners(AbstractButton b)`
`void` | `installUI(JComponent c)`
`void` | `paint(java.awt.Graphics g, JComponent c)`
`protected void` | `paintButtonPressed(java.awt.Graphics g, AbstractButton b)`
`protected void` | `paintFocus(java.awt.Graphics g, AbstractButton b, java.awt.Rectangle viewRect, java.awt.Rectangle textRect, java.awt.Rectangle iconRect)`
`protected void` | `paintIcon(java.awt.Graphics g, JComponent c, java.awt.Rectangle iconRect)`
`protected void` | `paintText(java.awt.Graphics g, JComponent c, java.awt.Rectangle textRect, java.lang.String text)`
`protected void` | `setTextShiftOffset()`
`protected void` | `uninstallDefaults(AbstractButton b)`
`protected void` | `uninstallKeyboardActions(AbstractButton b)`
`protected void` | `uninstallListeners(AbstractButton b)`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultTextIconGap

    protected int defaultTextIconGap

### defaultTextShiftOffset

    protected int defaultTextShiftOffset

Constructor Detail

### BasicButtonUI

    public BasicButtonUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### getPropertyPrefix

    protected java.lang.String getPropertyPrefix()

### installUI

    public void installUI(JComponent c)

  Overrides:
    installUI in class ComponentUI

### installDefaults

    protected void installDefaults(AbstractButton b)

### installListeners

    protected void installListeners(AbstractButton b)

### installKeyboardActions

    protected void installKeyboardActions(AbstractButton b)

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    uninstallUI in class ComponentUI

### uninstallKeyboardActions

    protected void uninstallKeyboardActions(AbstractButton b)

### uninstallListeners

    protected void uninstallListeners(AbstractButton b)

### uninstallDefaults

    protected void uninstallDefaults(AbstractButton b)

### createButtonListener

    protected BasicButtonListener createButtonListener(AbstractButton b)

### getDefaultTextIconGap

    public int getDefaultTextIconGap(AbstractButton b)

### paint

    public void paint(java.awt.Graphics g,
                      JComponent c)

  Overrides:
    paint in class ComponentUI

### paintIcon

    protected void paintIcon(java.awt.Graphics g,
                             JComponent c,
                             java.awt.Rectangle iconRect)

### paintText

    protected void paintText(java.awt.Graphics g,
                             JComponent c,
                             java.awt.Rectangle textRect,
                             java.lang.String text)

### paintFocus

    protected void paintFocus(java.awt.Graphics g,
                              AbstractButton b,
                              java.awt.Rectangle viewRect,
                              java.awt.Rectangle textRect,
                              java.awt.Rectangle iconRect)

### paintButtonPressed

    protected void paintButtonPressed(java.awt.Graphics g,
                                      AbstractButton b)

### clearTextShiftOffset

    protected void clearTextShiftOffset()

### setTextShiftOffset

    protected void setTextShiftOffset()

### getTextShiftOffset

    protected int getTextShiftOffset()

### getMinimumSize

    public java.awt.Dimension getMinimumSize(JComponent c)

  Overrides:
    getMinimumSize in class ComponentUI

### getPreferredSize

    public java.awt.Dimension getPreferredSize(JComponent c)

  Overrides:
    getPreferredSize in class ComponentUI

### getMaximumSize

    public java.awt.Dimension getMaximumSize(JComponent c)

  Overrides:
    getMaximumSize in class ComponentUI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.